---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Push Installation API

# Push Installation API {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 3 minutes to read

The Push Installation API provides endpoints to register and
unregister the tokens that enable mobile devices to receive push notifications from an
application.
A push notification is a text message that appears on a user's mobile device to alert them
about something important or to ask them to perform an action.

When creating custom mobile applications, in order to set up Push notifications, you must
register the device with the manufacturer's service. The service must know the address of a
user's device so it can properly send notifications to that device using push tokens. The
device also needs to be able to receive the notifications and act on them. For instructions on
how to register a device and get a push token, refer to the device's operating systems developer
documentation. For example, for Apple devices, refer to <https://developer.apple.com/documentation/usernotifications/registering_your_app_with_apns>.

## Push Installation - POST /now/push/{pushApplicationName}/installation {#ariaid-title2}

Adds or updates tokens that enable devices to receive push notifications from the
specified application.

### URL format {#push-POST-installation__section_x12_fqg_dmb}

Versioned URL:
/api/now/{api_version}/push/{pushApplicationName}/installation

Default URL:
/api/now/push/{pushApplicationName}/installation

### Supported request parameters

{#push-POST-installation__entry__2}{#push-POST-installation__version-not_optional-RESTAPI}

| Parameter | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| pushApplicationName | Name of the application for which to register the push notifications. This parameter must be the same as the value in the Name column for the associated application in the Push Application \[sys_push_application\] table. Data type: String |
[Table 1. Path parameters]

{#push-POST-installation__entry__8}

| Name | Description |
|-|-|
| None |   |
[Table 2. Query parameters]

{#push-POST-installation__entry__12}

| Element | Description |
|-|-|
| platform | Platform on which to register the push notification. This parameter must be the Name value from the Push Platform \[sys_push_platform\] table. Data type: String |
| token | Token supplied by the device manufacturer, such as Apple, when the mobile application registers to receive push notifications. The endpoint writes the token value to the Push Notification Installation \[sys_push_notif_app_install\] table. Data type: String |
[Table 3. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#push-POST-installation__entry__18}{#push-POST-installation__content_type-JSON-only-entry-RESTAPI}

| Header | Description |
|-|-|
| Content-Type | Data format of the request body. Only supports application/json. |
[Table 4. Request headers]

{#push-POST-installation__entry__22}

| Header | Description |
|-|-|
| None |   |
[Table 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#push-POST-installation__entry__26}{#push-POST-installation__entry-200-status-code}{#push-POST-installation__entry-401-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 500 | Internal Server Error. A logic error on the server-side code occurred. |
[Table 6. Status codes]

### Response body parameters (JSON or XML)

{#push-POST-installation__entry__36}

| Name | Description |
|-|-|
| None |   |
[ ]

### Sample cURL request

    curl -X POST \
      https://instance.servicenow.com/api/now/push/ServiceNowPushApp/installation \
    --header "Content-Type: application/json" \
    --user "username":"password" \
    --data '{"platform":"Apple","token":"544836d77ac2e551bbf78204630509a7d494fc87f52e85da52e5b5d42910e2cf"}' \

    None

## Push Installation - POST /now/push/{pushApplicationName}/removeInstallation {#ariaid-title3}

Deactivates the tokens that enable mobile devices to receive push notifications from
the specified application.

### URL format {#push-POST-removeInstallation__section_uy3_drg_dmb}

Versioned URL:
/api/now/{api_version}/push/{pushApplicationName}/removeInstallation

Default URL:
/api/now/push/{pushApplicationName}/removeInstallation

### Supported request parameters

{#push-POST-removeInstallation__entry__2}{#push-POST-removeInstallation__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| pushApplicationName | Name of the application for which to unregister the push notifications. This parameter must be the same as the value in the Name column for the associated application in the Push Application \[sys_push_application\] table. Data type: String |
[Table 7. Path parameters]

{#push-POST-removeInstallation__entry__8}

| Name | Description |
|-|-|
| None |   |
[Table 8. Query parameters]

{#push-POST-removeInstallation__entry__12}

| Element | Description |
|-|-|
| platform | Platform on which to register the push notification. This parameter must be the Name value from the Push Platform \[sys_push_platform\] table. Data type: String |
[Table 9. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#push-POST-removeInstallation__entry__16}{#push-POST-removeInstallation__content_type-JSON-only-entry-RESTAPI}

| Header | Description |
|-|-|
| Content-Type | Data format of the request body. Only supports application/json. |
[Table 10. Request headers]

{#push-POST-removeInstallation__entry__20}

| Header | Description |
|-|-|
| None |   |
[Table 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#push-POST-removeInstallation__entry__24}{#push-POST-removeInstallation__entry-200-status-code}{#push-POST-removeInstallation__entry-401-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 500 | Internal Server Error. A logic error on the server-side code occurred. |
[Table 12. Status codes]

### Response body parameters (JSON or XML)

{#push-POST-removeInstallation__entry__34}

| Name | Description |
|-|-|
| None |   |
[ ]

### Sample cURL request

    curl -X POST \
      https://instance.servicenow.com/api/now/push/ServiceNowPushApp/removeInstallation \
    --header "Content-Type: application/json" \
    --user "username":"password" \
    --data '{"platform":"Apple"}' \

    None


